## r-bioc-delayedarray 0.30.1+dfsg

=== DESCRIPTION ===
Package: DelayedArray
Title: A unified framework for working transparently with on-disk and
        in-memory array-like datasets
Description: Wrapping an array-like object (typically an on-disk object) in
	a DelayedArray object allows one to perform common array operations
	on it without loading the object in memory. In order to reduce memory
	usage and optimize performance, operations on the object are either
	delayed or executed using a block processing mechanism. Note that
	this also works on in-memory array-like objects like DataFrame objects
	(typically with Rle columns), Matrix objects, ordinary arrays and,
	data frames.
biocViews: Infrastructure, DataRepresentation, Annotation,
        GenomeAnnotation
URL: https://bioconductor.org/packages/DelayedArray
BugReports: https://github.com/Bioconductor/DelayedArray/issues
Version: 0.30.1
License: Artistic-2.0
Encoding: UTF-8
Authors@R: c(
	person("Hervé", "Pagès", role=c("aut", "cre"),
		email="hpages.on.github@gmail.com"),
	person("Aaron", "Lun", role="ctb",
		email="infinite.monkeys.with.keyboards@gmail.com"),
	person("Peter", "Hickey", role="ctb",
		email="peter.hickey@gmail.com"))
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
Depends: R (>= 4.0.0), methods, stats4, Matrix, BiocGenerics (>=
        0.43.4), MatrixGenerics (>= 1.1.3), S4Vectors (>= 0.27.2),
        IRanges (>= 2.17.3), S4Arrays (>= 1.3.5), SparseArray (>=
        1.1.10)
Imports: stats
LinkingTo: S4Vectors
Suggests: BiocParallel, HDF5Array (>= 1.17.12), genefilter,
        SummarizedExperiment, airway, lobstr, DelayedMatrixStats,
        knitr, rmarkdown, BiocStyle, RUnit
VignetteBuilder: knitr
Collate: compress_atomic_vector.R SparseArraySeed-class.R
        SparseArraySeed-utils.R read_sparse_block.R
        makeCappedVolumeBox.R AutoBlock-global-settings.R AutoGrid.R
        blockApply.R DelayedOp-class.R DelayedSubset-class.R
        DelayedAperm-class.R DelayedUnaryIsoOpStack-class.R
        DelayedUnaryIsoOpWithArgs-class.R DelayedSubassign-class.R
        DelayedSetDimnames-class.R DelayedNaryIsoOp-class.R
        DelayedAbind-class.R showtree.R simplify.R DelayedArray-class.R
        DelayedArray-subsetting.R chunkGrid.R RealizationSink-class.R
        realize.R DelayedArray-utils.R DelayedArray-stats.R
        DelayedMatrix-stats.R DelayedMatrix-rowsum.R
        DelayedMatrix-mult.R ConstantArray-class.R RleArraySeed-class.R
        RleArray-class.R compat.R zzz.R
git_url: https://git.bioconductor.org/packages/DelayedArray
git_branch: RELEASE_3_19
git_last_commit: 099a643
git_last_commit_date: 2024-05-06
Repository: Bioconductor 3.19
Date/Publication: 2024-05-07
NeedsCompilation: yes
Packaged: 2024-05-07 20:49:45 UTC; biocbuild
Author: Hervé Pagès [aut, cre],
  Aaron Lun [ctb],
  Peter Hickey [ctb]

=== debian/changelog ===
r-bioc-delayedarray (0.30.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 20:43:40 +0200

r-bioc-delayedarray (0.30.1+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 09:46:59 +0200

r-bioc-delayedarray (0.30.1+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 18:24:54 +0200

=== debian/control ===
Source: r-bioc-delayedarray
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Graham Inggs <ginggs@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit,
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-matrixgenerics (>= 1.16.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-s4arrays (>= 1.4.1),
               r-bioc-sparsearray (>= 1.4.8)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray.git
Homepage: https://bioconductor.org/packages/DelayedArray/
Rules-Requires-Root: no

Package: r-bioc-delayedarray
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-matrixgenerics (>= 1.16.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-s4arrays (>= 1.4.1),
         r-bioc-sparsearray (>= 1.4.8)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocparallel (>= 1.38.0),
          r-bioc-hdf5array (>= 1.32.0),
          r-bioc-genefilter (>= 1.86.0),
          r-bioc-summarizedexperiment (>= 1.34.0),
          r-bioc-delayedmatrixstats (>= 1.26.0),
          r-bioc-biocstyle (>= 2.32.1)
Description: BioConductor delayed operations on array-like objects
 Wrapping an array-like object (typically an on-disk object) in
 a DelayedArray object allows one to perform common array operations
 on it without loading the object in memory. In order to reduce memory
 usage and optimize performance, operations on the object are either
 delayed or executed using a block processing mechanism. Note that this
 also works on in-memory array-like objects like DataFrame objects
 (typically with Rle columns), Matrix objects, and ordinary arrays and
 data frames.

## r-bioc-delayedarray 0.32.0%2Bdfsg

=== debian/changelog ===
r-bioc-delayedarray (0.32.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 20:09:04 +0100

r-bioc-delayedarray (0.32.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 07:12:26 +0100

r-bioc-delayedarray (0.30.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 20:43:40 +0200

## r-bioc-delayedarray 0.32.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -13,7 +13,7 @@
         GenomeAnnotation
 URL: https://bioconductor.org/packages/DelayedArray
 BugReports: https://github.com/Bioconductor/DelayedArray/issues
-Version: 0.30.1
+Version: 0.32.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -25,9 +25,9 @@
 		email="peter.hickey@gmail.com"))
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
 Depends: R (>= 4.0.0), methods, stats4, Matrix, BiocGenerics (>=
-        0.43.4), MatrixGenerics (>= 1.1.3), S4Vectors (>= 0.27.2),
-        IRanges (>= 2.17.3), S4Arrays (>= 1.3.5), SparseArray (>=
-        1.1.10)
+        0.51.3), MatrixGenerics (>= 1.1.3), S4Vectors (>= 0.27.2),
+        IRanges (>= 2.17.3), S4Arrays (>= 1.5.4), SparseArray (>=
+        1.5.42)
 Imports: stats
 LinkingTo: S4Vectors
 Suggests: BiocParallel, HDF5Array (>= 1.17.12), genefilter,
@@ -44,17 +44,17 @@
         DelayedAbind-class.R showtree.R simplify.R DelayedArray-class.R
         DelayedArray-subsetting.R chunkGrid.R RealizationSink-class.R
         realize.R DelayedArray-utils.R DelayedArray-stats.R
-        DelayedMatrix-stats.R DelayedMatrix-rowsum.R
+        matrixStats-methods.R DelayedMatrix-rowsum.R
         DelayedMatrix-mult.R ConstantArray-class.R RleArraySeed-class.R
         RleArray-class.R compat.R zzz.R
 git_url: https://git.bioconductor.org/packages/DelayedArray
-git_branch: RELEASE_3_19
-git_last_commit: 099a643
-git_last_commit_date: 2024-05-06
-Repository: Bioconductor 3.19
-Date/Publication: 2024-05-07
+git_branch: RELEASE_3_20
+git_last_commit: 980c34e
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-07 20:49:45 UTC; biocbuild
+Packaged: 2024-10-30 00:20:53 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Aaron Lun [ctb],
   Peter Hickey [ctb]

=== debian/control ===
Source: r-bioc-delayedarray
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Graham Inggs <ginggs@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-bioc-biocgenerics (>= 0.51.3),
               r-bioc-matrixgenerics,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-s4arrays (>= 1.5.4),
               r-bioc-sparsearray (>= 1.5.42),
               architecture-is-64-bit
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-delayedarray.git
Homepage: https://bioconductor.org/packages/DelayedArray/
Rules-Requires-Root: no

Package: r-bioc-delayedarray
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor delayed operations on array-like objects
 Wrapping an array-like object (typically an on-disk object) in
 a DelayedArray object allows one to perform common array operations
 on it without loading the object in memory. In order to reduce memory
 usage and optimize performance, operations on the object are either
 delayed or executed using a block processing mechanism. Note that this
 also works on in-memory array-like objects like DataFrame objects
 (typically with Rle columns), Matrix objects, and ordinary arrays and
 data frames.

=== debian/watch ===
version=4

opts="repack,repacksuffix=+dfsg,dversionmangle=auto,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?" \
  https://bioconductor.org/packages/release/bioc/html/DelayedArray.html .*/DelayedArray_(.*).tar.gz
